Subject: problem: unresolved references to _errno
From: Alexander Lüdeke <[email-masked]>
To: [email-masked]
Date: Tue, 07 Dec 1999 10:07:13 +0100

Hallo,

I have got a problem. When I'm using the function pow(double,double) of 

math.h,
 I get this error-message:

gcc -o bruessel main.o bruessel.o ruku.o -s -lm -mno-cygwin
D:\Programme\CygWin\cygwin-b20\H-i586-cygwin32\bin\..\lib\gcc-lib\i586-c

ygwin32\
egcs-2.91.57\..\..\..\..\i586-cygwin32\lib/libm.a(w_pow.o): In function 

`pow':
/home/noer/src/b20/comp-tools/devo/newlib/libm/math/w_pow.c:164: 

undefined refer
ence to `__errno'
/home/noer/src/b20/comp-tools/devo/newlib/libm/math/w_pow.c:207: 

undefined refer
ence to `__errno'
/home/noer/src/b20/comp-tools/devo/newlib/libm/math/w_pow.c:210: 

undefined refer
ence to `__errno'
collect2: ld returned 1 exit status
MAKE.EXE: *** [bruessel] Error 1

You wrote in a readme file:
At link time your code produces unresolved references to _impure_ptr, 
_ctype_ and/or _errno, among others. ... If you have this problem then 

you 
may have to modify the Mingw32 specs file. I have tried to modify the 

specs 
file, but I haven't success. What is the correct path?

Alexander Luedeke

--
Want to unsubscribe from this list?
Send a message to [email-masked]